import request from '@/utils/request'
import { isEmpty, formatResponse } from '@/utils/tool'
import { auth } from '@/utils/auth'
import router from '@/router'

export function getMenus() {
    const menus = auth.getMenus();
    if (menus.length == 0) {
        router.push('/401');
    }
    return formatResponse(0, 'success', menus);
    // const menus = user && user.userRights && user.userRights.filter(item => item.name == 'web') || [];
    // if (menus.length == 0) {
    //     router.push('/401');
    // }
    // const data = [
    //     {
    //         id: '1',
    //         name: '首页',
    //         url: '/index',
    //         icon: 'el-icon-s-home'
    //     },
    //     // {
    //     //     id: '2',
    //     //     name: '可视化',
    //     //     icon: 'el-icon-s-platform',
    //     //     sub_menus: [
    //     //         {
    //     //             id: '21',
    //     //             parentId: '2',
    //     //             name: '可视化驾驶舱',
    //     //             url: '/visual/index'
    //     //         },
    //     //         {
    //     //             id: '22',
    //     //             parentId: '2',
    //     //             name: '统计总览',
    //     //             url: '/visual/static'
    //     //         },
    //     //     ]
    //     // },
    //     {
    //         id: '3',
    //         name: '执法监督',
    //         icon: 'el-icon-s-order',
    //         sub_menus: [
    //             {
    //                 id: '31',
    //                 parentId: '3',
    //                 name: '日常抽查',
    //                 url: '/monitor/random'
    //             },
    //             {
    //                 id: '32',
    //                 parentId: '3',
    //                 name: '专项检查',
    //                 url: '/monitor/special'
    //             },
    //             {
    //                 id: '33',
    //                 parentId: '3',
    //                 name: '举报核查',
    //                 url: '/monitor/report'
    //             },
    //             {
    //                 id: '34',
    //                 parentId: '3',
    //                 name: '乡镇检查',
    //                 url: '/monitor/hometown'
    //             },
    //             {
    //                 id: '35',
    //                 parentId: '3',
    //                 name: '其他任务',
    //                 url: '/monitor/other'
    //             },
    //             {
    //                 id: '351',
    //                 parentId: '3',
    //                 name: '限改审批',
    //                 url: '/monitor/limitApproval'
    //             },
    //             {
    //                 id: '352',
    //                 parentId: '3',
    //                 name: '举报投诉审批',
    //                 url: '/monitor/reportApproval'
    //             },
    //             {
    //                 id: '36',
    //                 parentId: '3',
    //                 name: '检查模板',
    //                 url: '/monitor/check'
    //             },
    //             {
    //                 id: '37',
    //                 parentId: '3',
    //                 name: '手册配置',
    //                 url: '/monitor/book'
    //             },
    //         ]
    //     },
    //     {
    //         id: '8',
    //         name: '双随机',
    //         icon: 'el-icon-s-management',
    //         sub_menus: [
    //             {
    //                 id: '81',
    //                 parentId: '8',
    //                 name: '日常抽查规则设置',
    //                 url: '/random/random/rule/setting'
    //             },
    //             {
    //                 id: '82',
    //                 parentId: '8',
    //                 name: '日常抽查规则记录',
    //                 url: '/random/random/rule'
    //             },
    //             {
    //                 id: '83',
    //                 parentId: '8',
    //                 name: '专项检查通知记录',
    //                 url: '/random/special/notice'
    //             },
    //             {
    //                 id: '84',
    //                 parentId: '8',
    //                 name: '专项检查规则设置',
    //                 url: '/random/special/rule/setting/form'
    //             },
    //             {
    //                 id: '85',
    //                 parentId: '8',
    //                 name: '专项检查规则记录',
    //                 url: '/random/special/rule'
    //             },
    //             {
    //                 id: '86',
    //                 parentId: '8',
    //                 name: '标签库管理',
    //                 url: '/random/tag'
    //             }
    //         ]
    //     },
    //     {
    //         id: '4',
    //         name: '社会资源',
    //         icon: 'el-icon-s-help',
    //         sub_menus: [
    //             {
    //                 id: '41',
    //                 parentId: '4',
    //                 name: '执法对象',
    //                 url: '/resource/index'
    //             }
    //         ]
    //     },
    //     {
    //         id: '5',
    //         name: '违法占道',
    //         icon: 'el-icon-s-release',
    //         sub_menus: [
    //             {
    //                 id: '51',
    //                 parentId: '5',
    //                 name: '违法占道执法',
    //                 url: '/punishment/index'
    //             }
    //         ]
    //     },
    //     {
    //         id: '6',
    //         name: '执法音视频',
    //         icon: 'el-icon-video-camera-solid',
    //         sub_menus: [
    //             {
    //                 id: '61',
    //                 parentId: '6',
    //                 name: '执法设备管理',
    //                 url: '/device/manage'
    //             },
    //             {
    //                 id: '62',
    //                 parentId: '6',
    //                 name: '执法音视频',
    //                 url: '/device/video'
    //             }
    //         ]
    //     },
    //     {
    //         id: '7',
    //         name: '系统管理',
    //         icon: 'el-icon-s-tools',
    //         sub_menus: [
    //             {
    //                 id: '71',
    //                 parentId: '7',
    //                 name: '抽查标准公示',
    //                 url: '/system/index'
    //             },
    //             {
    //                 id: '72',
    //                 parentId: '7',
    //                 name: '抽查细则公示',
    //                 url: '/system/rule'
    //             }
    //         ]
    //     },
    //     {
    //         id: '9',
    //         name: '综合管理',
    //         icon: 'el-icon-s-operation',
    //         sub_menus: [
    //             {
    //                 id: '91',
    //                 parentId: '9',
    //                 name: '机构管理',
    //                 url: '/integrated/org'
    //             },
    //             {
    //                 id: '92',
    //                 parentId: '9',
    //                 name: '角色管理',
    //                 url: '/integrated/role'
    //             },
    //             {
    //                 id: '93',
    //                 parentId: '9',
    //                 name: '人员管理',
    //                 url: '/integrated/user'
    //             },
    //             {
    //                 id: '94',
    //                 parentId: '9',
    //                 name: '菜单管理',
    //                 url: '/integrated/menu'
    //             }
    //         ]
    //     },
    //     {
    //         id: '10',
    //         name: '日志管理',
    //         icon: 'el-icon-document',
    //         sub_menus: [
    //             {
    //                 id: '101',
    //                 parentId: '10',
    //                 name: '任务指派日志',
    //                 url: '/log/index'
    //             },
    //             {
    //                 id: '95',
    //                 parentId: '10',
    //                 name: '执法人员变动日志',
    //                 url: '/logs/user'
    //             }
    //         ]
    //     }
    // ]
    // return formatResponse(0, 'success', data);
}
