import Vue from 'vue'
import Vuex from 'vuex'

import app from './modules/app'
import user from './modules/user'

Vue.use(Vuex)

export default new Vuex.Store({
    modules: {
        app,
        user
    },
    getters: {
        collapsed: state => state.app.collapsed,
        menus: state => state.app.menus,
        useTab: state => state.app.useTab,
        tabs: state => state.app.tabs,
        activeTab: state => state.app.activeTab,
        user: state => state.user.user,
        buttons: state => state.user.buttons,
    },
})
