import echarts from 'echarts';
// import {
//     TitleComponent,
//     TooltipComponent,
//     GridComponent,
//     DatasetComponent,
//     TransformComponent,
//     GeoComponent,
//     VisualMapComponent,
// } from 'echarts/components';
// import { HeatmapChart, MapChart } from 'echarts/charts';
// import { LabelLayout, UniversalTransition } from 'echarts/features';
// import { CanvasRenderer } from 'echarts/renderers';
// echarts.use([
//     TitleComponent,
//     TooltipComponent,
//     GridComponent,
//     DatasetComponent,
//     TransformComponent,
//     LabelLayout,
//     UniversalTransition,
//     CanvasRenderer,
//     GeoComponent,
//     VisualMapComponent,
//     HeatmapChart,
//     MapChart,
// ]);

// import 'echarts-gl';

import geoData from './chongqing';

// let geo_list = [];
// geoData.features.map(item => {
//     const data = JSON.parse(JSON.stringify(item.geometry.coordinates[0]));
//     geo_list.push({
//         name: item.properties.name,
//         data: data.flat(),
//     });
// });
// console.log('geo_list: ', geo_list);

export const regions = [
    {
        name: '万州区',
        center: [108.380246, 30.807807],
    },
    {
        name: '涪陵区',
        center: [107.394905, 29.703652],
    },
    {
        name: '渝中区',
        center: [106.56288, 29.556742],
    },
    {
        name: '大渡口区',
        center: [106.48613, 29.481002],
    },
    {
        name: '江北区',
        center: [106.532844, 29.575352],
    },
    {
        name: '沙坪坝区',
        center: [106.4542, 29.541224],
    },
    {
        name: '九龙坡区',
        center: [106.480989, 29.523492],
    },
    {
        name: '南岸区',
        center: [106.560813, 29.523992],
    },
    {
        name: '北碚区',
        center: [106.437868, 29.82543],
    },
    {
        name: '綦江区',
        center: [106.651417, 29.028091],
    },
    {
        name: '大足区',
        center: [105.715319, 29.700498],
    },
    {
        name: '渝北区',
        center: [106.80195, 29.840106],
    },
    {
        name: '巴南区',
        center: [106.519423, 29.381919],
    },
    {
        name: '黔江区',
        center: [108.782577, 29.527548],
    },
    {
        name: '长寿区',
        center: [107.074854, 29.833671],
    },
    {
        name: '江津区',
        center: [106.253156, 29.283387],
    },
    {
        name: '合川区',
        center: [106.265554, 29.990993],
    },
    {
        name: '永川区',
        center: [105.894714, 29.348748],
    },
    {
        name: '南川区',
        center: [107.098153, 29.156646],
    },
    {
        name: '璧山区',
        center: [106.231126, 29.593581],
    },
    {
        name: '铜梁区',
        center: [106.054948, 29.839944],
    },
    {
        name: '潼南区',
        center: [105.841818, 30.189554],
    },
    {
        name: '荣昌区',
        center: [105.594061, 29.403627],
    },
    {
        name: '开州区',
        center: [108.413317, 31.167735],
    },
    {
        name: '梁平区',
        center: [107.800034, 30.672168],
    },
    {
        name: '武隆区',
        center: [107.75655, 29.32376],
    },
    {
        name: '城口县',
        center: [108.6649, 31.946293],
    },
    {
        name: '丰都县',
        center: [107.78888, 29.866424],
    },
    {
        name: '垫江县',
        center: [107.348692, 30.330012],
    },
    {
        name: '忠县',
        center: [108.037518, 30.291537],
    },
    {
        name: '云阳县',
        center: [108.697698, 30.930529],
    },
    {
        name: '奉节县',
        center: [109.465774, 31.019967],
    },
    {
        name: '巫山县',
        center: [109.878928, 31.074843],
    },
    {
        name: '巫溪县',
        center: [109.628912, 31.3966],
    },
    {
        name: '石柱土家族自治县',
        center: [108.112448, 29.99853],
    },
    {
        name: '秀山土家族苗族自治县',
        center: [108.996043, 28.444772],
    },
    {
        name: '酉阳土家族苗族自治县',
        center: [108.767201, 28.839828],
    },
    {
        name: '彭水苗族土家族自治县',
        center: [108.166551, 29.293856],
    }
];
// {
//     "北碚": [106.5, 29.81],
//     "城口": [108.6520475, 31.90676506],
//     "大足": [105.7692868, 29.65392091],
//     "垫江": [107.4004904, 30.24903189],
//     "丰都": [107.7461781, 29.91492542],
//     "奉节": [109.3758974, 30.98202119],
//     "合川": [106.2833096, 30.09766756],
//     "江北": [106.6214893, 29.64821182],
//     "江津": [106.2647885, 28.98483627],
//     "开州": [108.1818518, 31.29466521],
//     "南岸": [106.6379653, 29.47704825],
//     "南川": [107.1406799, 29.12047319],
//     "彭水": [108.2573507, 29.36444557],
//     "綦南": [106.8036647, 28.96872774],
//     "黔江": [108.7559876, 29.44290625],
//     "石柱": [108.2438988, 30.07512144],
//     "市区": [106.4377397, 29.52648606],
//     "市辖区": [106.4377397, 29.52648606],
//     "铜梁": [106.0616035, 29.81036286],
//     "潼南": [105.811692, 30.13795513],
//     "万州": [108.0828876, 30.73353669],
//     "巫山": [109.8779184, 31.09568937],
//     "巫溪": [109.2970739, 31.48090521],
//     "武隆": [107.6831317, 29.36831708],
//     "秀山": [108.9997005, 28.49462861],
//     "永川": [105.8347961, 29.41042605],
//     "酉阳": [108.7911679, 28.88330557],
//     "云阳": [108.7533957, 30.96025875],
//     "长寿": [107.24, 29.95],
//     "忠县": [107.9279014, 30.33522658],
//     "川东": [107.3488646, 29.68233099]
// };

import map_tip from '@/assets/home/map_tip.png';

export function showMap(id, data, max = 100) {
    const e = document.getElementById(id);
    let instance = echarts.getInstanceByDom(e);
    const mapName = 'chongqing';
    if (instance == null) {
        instance = echarts.init(e);
        echarts.registerMap(mapName, geoData);
        window.onresize = function () {
            instance.resize();
        };
    }

    let pointSize = 50;
    if (document.body.clientHeight < 1700) {
        pointSize = 40;
    }
    if (document.body.clientHeight < 1400) {
        pointSize = 30;
    }

    const options = {
        grid: {
            top: 0,
            left: 0,
            right: 0,
            bottom: 0,
        },
        geo: [
            {
                map: mapName,
                zlevel: -1,
                zoom: 1,
                aspectScale: 1,
                silent: true,
                layoutCenter: ["50%", "50%"],
                layoutSize: "98%",
                roam: false,
                itemStyle: {
                    normal: {
                        borderColor: "rgba(192,245,249,.8)",
                        borderWidth: 3,
                        shadowColor: "#6FFDFF",
                        shadowOffsetY: 0,
                        shadowBlur: 10
                    }
                }
            }, {
                show: true,
                map: mapName,
                zoom: 1,
                aspectScale: 1,
                layoutCenter: ["50%", "50%"],
                layoutSize: "98%",
                blur: {
                    label: {
                        show: true,
                        color: "#000"
                    }
                },
                roam: false,
                itemStyle: {
                    normal: {
                        label: {
                            show: false
                        },
                        color: "#fff",
                        borderColor: "#32CBE0",
                        borderWidth: 1.5,
                        areaColor: '#75b9da',
                        // {
                        //     type: "linear-gradient",
                        //     x: 0,
                        //     y: 1,
                        //     x2: 0,
                        //     y2: 0,
                        //     colorStops: [{
                        //         offset: .5,
                        //         color: "#0D59C1"
                        //     }, {
                        //         offset: 1,
                        //         color: "#53C9C7"
                        //     }],
                        //     global: true
                        // }
                    }
                }
            }, {
                type: "map",
                map: mapName,
                zlevel: -2,
                zoom: 1,
                aspectScale: 1,
                layoutCenter: ["50%", "51.4%"],
                layoutSize: "98%",
                roam: false,
                silent: true,
                itemStyle: {
                    normal: {
                        borderColor: "rgba(35, 161, 184,0.5)",
                        shadowColor: "rgba(35, 161, 184,0.8)",
                        shadowOffsetY: 5,
                        shadowBlur: 15,
                        areaColor: "#75b9da"
                    }
                }
            }, 
            // {
            //     type: "map",
            //     map: mapName,
            //     zlevel: -3,
            //     zoom: 1,
            //     aspectScale: 1,
            //     layoutCenter: ["50%", "52%"],
            //     layoutSize: "98%",
            //     roam: false,
            //     silent: true,
            //     itemStyle: {
            //         normal: {
            //             borderColor: "rgba(7, 65, 117,0.5)",
            //             shadowColor: "rgba(7, 65, 117,0.8)",
            //             shadowOffsetY: 15,
            //             shadowBlur: 8,
            //             areaColor: "#0A2763"
            //         }
            //     }
            // }
        ],
        tooltip: {
            trigger: "item",
            position: "top",
            backgroundColor: "rgba(51,204,204,0)",
            formatter: function(e) {
                var t = "";
                return t += "<img style='width:85px;height:100px;margin-bottom:-50px' src='" + map_tip + "'/>",
                t
            },
            textStyle: {
                color: "#fff"
            }
        },
        visualMap: {
            show: false,
            top: 'top',
            max: max,
            min: 0,
            calculable: true,
            textStyle: {
                color: "#fff",
                fontSize: 12
            },
            inRange: {
                color: ["#fffc00", "#ff4601"],
            },
        },
        series: [{
            type: "map",
            label: {
                position: [0, 0],
                normal: {
                    show: true,
                    textStyle: {
                        color: "#fff",
                        fontSize: 10
                    }
                },
                emphasis: {
                    textStyle: {
                        color: "#fff"
                    }
                },
                color: "#fff"
            },
            itemStyle: {
                normal: {
                    color: "#fff",
                    borderColor: "#75b9da",
                    borderWidth: 1.5,
                    areaColor: "#3A8FEA"
                },
                emphasis: {
                    label: {
                        fontSize: 24,
                        textBorderColor: "#393523",
                        textBorderWidth: 2
                    },
                    borderColor: "#f4edc8",
                    shadowColor: "#3A8FEA",
                    shadowBlur: 0,
                    shadowOffsetX: 0,
                    shadowOffsetY: 10,
                    areaColor: {
                        type: "linear-gradient",
                        x: 0,
                        y: 0,
                        x2: 0,
                        y2: 1,
                        colorStops: [{
                            offset: 0,
                            color: "#f8a34c"
                        }, {
                            offset: 1,
                            color: "#f6e226"
                        }]
                    }
                }
            },
            aspectScale: 1,
            zoom: 1,
            layoutCenter: ["50%", "50%"],
            layoutSize: "98%",
            map: mapName
        }, 
        {
            name: "热图",
            type: "heatmap",
            coordinateSystem: "geo",
            data: data,
            pointSize: pointSize,
            blurSize: 20
        }]
    };
    console.log('max: ', options.visualMap.max);
    instance.setOption(options);
    return instance;
}