# Fire管理平台

## 安装依赖
```
yarn install
```

### 本地运行
```
yarn serve
```

### 编译打包
```
yarn test //测试环境
yarn build //正式环境
```

### 打包zip命名规范

```
测试环境：app-test.zip  pc-test.zip ssj-test.zip
```

```
正式环境：app-prod.zip  pc-prod.zip ssj-prod.zip
```

### 代码管理
```
master：生产代码分支
dev：测试代码分支
xxx: 个人开发分支
```

```
如果需要修复生产问题，拉取master分支代码，新建"fix-日期"（fix-20220328），修改后合并此分支到dev，发布测试。
```

```
合并原则：
    1.如果是生产修复分支，需要直接部署生产，dev测试通过后，将此分支直接合并master，进行部署。不能将dev合并master。
    2.其它按计划合并dev测试，需要部署时直接dev合并到master进行打包部署。
```

```
生产打包后创建tag，以版本号为名，目前版本号：1.0.4
```